SDL_winrtapp_common.cpp File Reference
`#include "../../SDL_internal.h"`
`#include "SDL_system.h"`
`#include "SDL_winrtapp_direct3d.h"`
`#include "SDL_winrtapp_xaml.h"`
Include dependency graph for SDL_winrtapp_common.cpp:

Go to the source code of this file.

## Functions

int | SDL_WinRTRunApp (int(*mainFunction)(int, char **), void *xamlBackgroundPanel)

## Variables

int(* | WINRT_SDLAppEntryPoint )(int, char **) = NULL

## Function Documentation

int SDL_WinRTRunApp | ( | int(*)(int, char **) | mainFunction,
|  | void * | xamlBackgroundPanel
| ) |  |

Definition at line 30 of file SDL_winrtapp_common.cpp.

References SDL_WinRTInitNonXAMLApp(), and SDL_WinRTInitXAMLApp().

Referenced by WinMain().

{
if (xamlBackgroundPanel) {
return SDL_WinRTInitXAMLApp(mainFunction, xamlBackgroundPanel);
} else {
return SDL_WinRTInitNonXAMLApp(mainFunction);
}
}
SDL_WinRTInitNonXAMLApp
int SDL_WinRTInitNonXAMLApp(int(*mainFunction)(int, char **))
Definition: SDL_winrtapp_direct3d.cpp:117
SDL_WinRTInitXAMLApp
int SDL_WinRTInitXAMLApp(int(*mainFunction)(int, char **), void *backgroundPanelAsIInspectable)
Definition: SDL_winrtapp_xaml.cpp:102

## Variable Documentation

int(* WINRT_SDLAppEntryPoint) (int, char **) = NULL

Definition at line 27 of file SDL_winrtapp_common.cpp.

Referenced by SDL_WinRTInitNonXAMLApp(), SDL_WinRTInitXAMLApp(), and WINRT_ProcessWindowSizeChange().